<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/*************************** Version 20180125 *****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NOAA Tropical Satellite Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NOAA Tropical Satellite Loops');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NOAA Tropical Satellite Loops';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> { 
	function showLoopsjs(region,sattype) { /* Use jQuery to reload our 'showRegion' div*/
		$('#showRegion').load('inc-show-region-h5-tropic.php', {region:region,sattype:sattype});
	}
}
</script>
<?php
 $top = '150px'; // Original Value
 $checkImageTimes = false;

 
$target_url =
'http://www.ssd.noaa.gov/goes/west/nepac/h5-loop-vis.html';

$userAgent = 'Satloops/1.1 (Web Application, www.gwwilkins.org)';

function get_data($target_url,$userAgent)
{
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_USERAGENT, $userAgent);
  $timeout = 10;
  curl_setopt($ch,CURLOPT_URL,$target_url);
  curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
  curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,$timeout);
  $data = curl_exec($ch);
  curl_close($ch);
  return $data;
}
$data = get_data($target_url,$userAgent);

$specialmessage = strpos($data,'SPECIAL MESSAGE');
if ($specialmessage) {
// $top = '325px'; // Value with initial 'Special Message' displayed
// $top = '276px'; // Value with current 'Special Message' displayed
 $top = '312px'; // Value with current 'Special Message' displayed

 $checkImageTimes = true;
} else {
 $top = '150px'; // Original Value
 $checkImageTimes = false;
} 
?>
<style type="text/css">
#outerdiv_sat {
width: 790px;
height: 600px;
overflow: hidden;
position: relative;
margin-top: 10px;
}
#inneriframe_sat {
position: absolute;
top:-<?php echo $top; ?>;
left: -350px;
width: 1480px;
height: 1200px;
}
#outerdiv_sat2 {
width: 790px;
height: 620px;
overflow: hidden;
position: relative;
margin-top: 10px;
}
#inneriframe_sat2 {
position: absolute;
top:-<?php echo $top; ?>;
left: -350px;
width: 1480px;
height: 1200px;
}
#inneriframe_sat2a {
position: absolute;
top:-<?php echo $top; ?>;
left: -350px;
width: 1480px;
height: 1200px;
}
#outerdiv_sat3 {
width: 790px;
height: 620px;
overflow: hidden;
position: relative;
margin-top: 10px;
}
#inneriframe_sat3 {
position: absolute;
top:-<?php echo $top; ?>;
left: -350px;
width: 1480px;
height: 1200px;
}
div.center {
width:100%;
margin-left: auto;
margin-right: auto;
display:block;
}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
############################### Settings ###################################
$region = 'goes/west/hi'; /* Enter Default Region Here - Options are:
	Comprehensive Views
		goes/comp/nhem -- Northern Hemisphere
			
	Atlantic Basin
		goes/east/tatl -- Atlantic Wide View
		goes/east/natl -- North Atlantic
		goes/east/catl -- Central Atlantic
		goes/east/nwatl -- Northwest Atlantic
		goes/east/carb -- Caribbean
		goes/east/watl -- West Atlantic
		goes/east/gmex -- Gulf of Mexico
		goes/east/eaus -- East Coast US
		eumet/eatl -- East Atlantic
		eumet/neatl -- Northeast Atlantic
		
	Pacific Basin
		goes/west/tpac -- Central+Eastern Pacific
		goes/west/cpac -- Central Pacific
		goes/west/epac -- East Pacific
		goes/west/nepac -- Northeast Pacific
		goes/east/epac -- Eastern East Pacific
		goes/west/weus -- West Coast US
		jma/wpac -- West Pacific
		jma/nwpac -- Northwest Pacific
		jma/wcpac -- West Cenral Pacific
		jma/twpac -- Western Pacific Wide View
	
	Other Regions
		goes/west/hi -- Hawaii
		goes/east/pr -- Puerto Rico
*/
$satType = 'rb'; /* Options are:
	vis -- Visible
	wv -- Water Vapor
	ir2 -- Infrared
	Enhanced Infrared
		ir4 -- None
		avn -- AVN Color
		bd -- Dvorak
		jsl -- JSL Color
		rgb -- False Color RGB
		ft -- Funktop Color
		rb -- Rainbow
*/
############################# End Settings #################################
?>

<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : '800px') ?>; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:100%">
<?php }	?>
  <div class="center" style="text-align:center; width:800px; <?php echo $standAlone?'border:inset':''?>">
	<h2 style="text-align:center; width:800px">NOAA Tropical Satellite Loops</h2>
  <?php echo $checkImageTimes ?'<h4 style="text-align:center; width:800px; color:red">(\'Special Message\' Is Currently Displayed.)</h4>':'';?>
  <hr/>
	<?php include('inc-show-region-h5-tropic.php');?>
    </div>
    <div class="center" style="width:800px; text-align:center;">
    	<span style="font-size:10px; line-height:120%"><br/>Data and Imagery Courtesy of <a href="http://www.ospo.noaa.gov/Products/imagery/index.html" target="_blank" title="Opens in New Tab">NOAA Office of Satellite and Product Operations</a><br/>
      <a href="https://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="New Tab">HAniS</a> (HTML5 Image AnimationS) &copy;2014-2015 by Tom Whittaker<br/>
     Adapted from wxus-allloops-h5 script by <a href="https://www.gwwilkins.org" title="New Tab" target="_blank">SE Lincoln Weather</a> Script modified by <a href="https://www.cliftonvaweather.com" title="New Tab" target="_blank">Clifton VA Weather</a></span><br/>
    </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>